require "bob/compiler/walker"
require "bob/compiler/editable"

module Bob
  module Compiler
    class Block < Walker
      include Editable

      attr_reader :name

      private
        def compile
          super if @name = identifier_from_attribute(@node, "bob-block")
        end

        def descriptor
          {type: name}.merge(super)
        end
    end
  end
end
